/* give some space to its child elements */
space {
    display: flex;
    flex-direction: column;
}

/* top and vertical */
space[top],
space[vertical="1"]{
    padding-top: 10vh;
}
space[top="2"],
space[vertical="2"] {
    padding-top: 20vh;
}
space[top="3"],
space[vertical="3"] {
    padding-top: 30vh;
}
space[top="4"],
space[vertical="4"] {
    padding-top: 40vh;
}
space[top="5"],
space[vertical="5"] {
    padding-top: 50vh;
}

/* bottom and vertical */
space[bottom],
space[vertical="1"] {
    padding-bottom: 10vh;
}
space[bottom="2"],
space[vertical="2"] {
    padding-bottom: 20vh;
}
space[bottom="3"],
space[vertical="3"] {
    padding-bottom: 30vh;
}
space[bottom="4"],
space[vertical="4"] {
    padding-bottom: 40vh;
}
space[bottom="5"],
space[vertical="5"] {
    padding-bottom: 50vh;
}


/* horizontal and left */
space[left],
space[horizontal="1"] {
    padding-left: 10vh;
}
space[left="2"],
space[horizontal="2"] {
    padding-left: 20vh;
}
space[left="3"],
space[horizontal="3"] {
    padding-left: 30vh;
}
space[left="4"],
space[horizontal="4"] {
    padding-left: 40vh;
}
space[left="5"],
space[horizontal="5"] {
    padding-top: 50vh;
}

/* horizontal and right */
space[right],
space[horizontal="1"] {
    padding-right: 10vh;
}
space[right="2"],
space[horizontal="2"] {
    padding-right: 20vh;
}
space[right="3"],
space[horizontal="3"] {
    padding-right: 30vh;
}
space[right="4"],
space[horizontal="4"] {
    padding-right: 40vh;
}
space[right="5"],
space[horizontal="5"] {
    padding-right: 50vh;
}
